nagios_host 'ec.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'ec.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica EC Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'edm.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'edm.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica EDM Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'eje.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'eje.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica EJE Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'erc.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'erc.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica ERC Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'erp.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'erp.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica ERP Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'jme.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'jme.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica JME Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'joe.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'joe.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica JOE Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'rep.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'rep.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica REP Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'admin.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'admin.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica Production Management Portal',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
nagios_host 'ams.bioscientifica.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'BIOS',
		'address' => 'ams.bioscientifica.com',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica Production AMS',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BIOS/pages/174847120/Server+Setup+BIOS'
end
#------------------------------------------------------------------------------------
# HOMEPAGE
# checks the homepage of the live JOE bioscientifca site and checks for the string 'bioscientifica'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'joe.bioscientifica.com-Live Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'joe.bioscientifica.com',
		'display_name' => 'Live Homepage',
		'check_command' => 'https_content_check_basic_auth!bios:bios2017!/!bioscientifica!10!20!',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica JOE Live Site',
		'notes_url' => 'https://joe.bioscientifica.com'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 1)
# checks the homepage of the live bios site on the first web node and checks for the string 'bioscientifica'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'joe.bioscientifica.com-Live Homepage: web-25' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'joe.bioscientifica.com',
		'display_name' => 'Live Homepage: web-25',
		'check_command' => 'https_content_check_basic_auth_single_node!bios:bios2017!/!bioscientifica!10!20!bios-web-live25!web-25!',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica JOE Live Site: web-25',
		'notes_url' => 'https://joe.bioscientifica.com'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 2)
# checks the homepage of the live bios site on the sercond web node and checks for the string 'bioscientifica'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'joe.bioscientifica.com-Live Homepage: web-11' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'joe.bioscientifica.com',
		'display_name' => 'Live Homepage: web-11',
		'check_command' => 'https_content_check_basic_auth_single_node!bios:bios2017!/!bioscientifica!10!20!bios-web-live11!web-11!',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica JOE Live Site: web-11',
		'notes_url' => 'https://joe.bioscientifica.com'
end
#------------------------------------------------------------------------------------
# SEARCH
# Checks the search of the live EC bioscientifca site and checks for the string 'bioscientifica'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'ec.bioscientifica.com-Live Search' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ec.bioscientifica.com',
		'display_name' => 'Live Search',
		'check_command' => 'https_content_check_basic_auth!bios:bios2017!/browse!browse!10!20!',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica EC Live Site',
		'notes_url' => 'https://ec.bioscientifica.com/browse'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 1)
# Checks the search of the live bios site on the first web node and checks for the string 'bioscientifica'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'ec.bioscientifica.com-Live Search: web-25' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ec.bioscientifica.com',
		'display_name' => 'Live search: web-25',
		'check_command' => 'https_content_check_basic_auth_single_node!bios:bios2017!/browse!browse!10!20!bios-web-live25!web-25!',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica EC Live Site: web-25',
		'notes_url' => 'https://ec.bioscientifica.com/browse'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 2)
# Checks the search of the live bios site on the second web node and checks for the string 'bioscientifica'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'ec.bioscientifica.com-Live search: web-11' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ec.bioscientifica.com',
		'display_name' => 'Live search: web-11',
		'check_command' => 'https_content_check_basic_auth_single_node!bios:bios2017!/browse!browse!10!20!bios-web-live11!web-11!',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica EC Live Site: web-11',
		'notes_url' => 'https://ec.bioscientifica.com/browse'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW
# checks the content view of the live EDM bioscientifca site and checks for the string 'bioscientifica'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'edm.bioscientifica.com-Live content view' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'edm.bioscientifica.com',
		'display_name' => 'Live content view',
		'check_command' => 'https_content_check_basic_auth!bios:bios2017!/abstract/journals/edm/2018/1/EDM17_0131.xml!Insulinoma!10!20!',
		'contact_groups' => 'cs_escalation,bios',
		'notes' => 'Bioscientifica EDM Live Site',
		'notes_url' => 'https://edm.bioscientifica.com/abstract/journals/edm/2018/1/EDM17_0131.xml'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (NODE 1)
# checks the content view of the live bios site on the first web node and checks for the string 'bioscientifica'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'edm.bioscientifica.com-Live content view: web-25' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'edm.bioscientifica.com',
		'display_name' => 'Live content view: web-25',
		'check_command' => 'https_content_check_basic_auth_single_node!bios:bios2017!/abstract/journals/edm/2018/1/EDM17_0131.xml!Insulinoma!10!20!bios-web-live25!web-25!',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica EDM Live Site: web-25',
		'notes_url' => 'https://edm.bioscientifica.com/abstract/journals/edm/2018/1/EDM17_0131.xml'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (NODE 2)
# checks the content view of the live bios site on the sedmond web node and checks for the string 'bioscientifica'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'edm.bioscientifica.com-Live content view: web-11' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'edm.bioscientifica.com',
		'display_name' => 'Live content view: web-11',
		'check_command' => 'https_content_check_basic_auth_single_node!bios:bios2017!/abstract/journals/edm/2018/1/EDM17_0131.xml!Insulinoma!10!20!bios-web-live11!web-11!',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica EDM Live Site: web-11',
		'notes_url' => 'https://edm.bioscientifica.com/abstract/journals/edm/2018/1/EDM17_0131.xml'
end
#------------------------------------------------------------------------------------
# LOADER
# Checks a loader login page and looks for the string 'Login' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'bioscientifica.com-Production Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'admin.bioscientifica.com',
		'display_name' => 'Production Loader',
		'check_command' => 'check_loader_auth!admin.bioscientifica.com!/login!bios:bios2017!"Bios Prod"!20!10',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'bioscientifica Live Loader',
		'notes_url' => 'https://admin.bioscientifica.com/login'
end
#------------------------------------------------------------------------------------
# STAGING
# Checks the staging site homepage and looks for the string 'joe' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'bioscientifica.com-Staging Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'joe.bioscientifica.com',
		'display_name' => 'Staging Homepage',
		'check_command' => 'check_staging_auth!joe.bios-staging.irl.pubfactory.com!bios:soib2018!joe!20!10',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica Staging Site',
		'notes_url' => 'https://bios.bios-staging.irl.pubfactory.com/'
end
#------------------------------------------------------------------------------------
# AMX
# Checks the production amx homepage and looks for the string 'AMS' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'bioscientifica.com-Production AMX' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ams.bioscientifica.com',
		'display_name' => 'Production AMX',
		'check_command' => 'check_loader_auth!ams.bioscientifica.com!/login!bios:bios2017!AMS!20!10',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica AMX',
		'notes_url' => 'https://ams.bioscientifica.com/login'
end
#------------------------------------------------------------------------------------
# FAIL OPEN
# Checks the production homepage and makes sure we're not in fail open by checking
# that the string "Provisional Account" is NOT in the page.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'bioscientifica.com-Live Site Fail Open' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'joe.bioscientifica.com',
		'display_name' => 'Live Site Fail Open',
		'check_command' => 'http_negate_content_check_basic_auth!joe.bioscientifica.com!bios:bios2017!"provisional account"',
		'contact_groups' => 'admins_email_only,bios',
		'notes' => 'Bioscientifica Live Site Failopen',
		'notes_url' => 'https://joe.bioscientifica.com/'
end
