nagios_host 'degruyter.com' do
	options 'use' => 'generic-host',
		'alias' => 'DGSG Degruyter',
		'address' => 'www.degruyter.com',
		'contact_groups' => 'DGSG,cs_escalation'
end
nagios_host 'admin.degruyter.com' do
	options 'use' => 'generic-host',
		'alias' => 'DGSG Loader',
		'address' => 'admin.degruyter.com',
		'contact_groups' => 'DGSG,cs_escalation'
end
nagios_host 'staging.degruyter.com' do
	options 'use' => 'generic-host',
		'alias' => 'DGSG Staging Site',
		'address' => 'staging.degruyter.com',
		'contact_groups' => 'DGSG,cs_email_only'
end
#------------------------------------------------------------------------------------
# HOMEPAGE
# Checks the homepage of the live beta DGSG site and checks for the string 'browse'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/!items!10!20!',
		'contact_groups' => 'DGSG,cs_escalation',
		'notes' => 'DGSG Site',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 1)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-18' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-18',
	        'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-18!10.200.3.112!',	
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-18',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 2)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-19' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-19',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-19!10.200.3.171!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-19',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 3)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-20' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-20',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-20!10.200.3.69!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-20',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 4)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-21' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-21',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-21!10.200.3.152!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-21',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 5)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-22' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-22',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-22!10.200.3.20!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-22',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 6)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-29' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-29',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-29!10.200.3.84!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-29',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 6)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-30' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-30',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-30!10.200.3.230!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-30',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 6)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-31' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-31',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-31!10.200.3.106!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-31',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 7)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-32' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-32',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-32!10.200.3.49!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-32',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 8)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-33' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-33',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-33!10.200.3.26!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-33',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 9)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-34' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-34',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-34!10.200.3.16!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-34',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 10)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-35' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-35',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-35!10.200.3.241!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-35',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 11)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-36' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-36',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-36!10.200.3.201!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-36',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 6)
# Checks the homepage of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Homepage: web-37' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Homepage: web-37',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/!Gruyter!10!20!dg-dgsg-web-live-37!10.200.3.223!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-37',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH
# Checks the search page of the live dgsg site and checks for the string 'Browse'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Search',
		'contact_groups' => 'cs_escalation,DGSG',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/browse?level=parent!items!10!20!',
		'notes' => 'DGSG - Site Search',
		'notes_url' => 'https://www.degruyter.com/browse?level=parent'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 1)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-18' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-18',
	        'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-18!10.200.3.112!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-18',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 2)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-19' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-19',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-19!10.200.3.171!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-19',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 3)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-20' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-20',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-20!10.200.3.69!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-20',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 4)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-21' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-21',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-21!10.200.3.152!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-21',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 5)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-22' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-22',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-22!10.200.3.20!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-22',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 6)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-29' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-29',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-29!10.200.3.84!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-29',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 6)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-30' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-30',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-30!10.200.3.230!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-30',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 6)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-31' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-31',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-31!10.200.3.106!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-31',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 7)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-32' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-32',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-32!10.200.3.49!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-32',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 8)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-33' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-33',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-33!10.200.3.26!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-33',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 9)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-34' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-34',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-34!10.200.3.16!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-34',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 10)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-35' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-35',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-35!10.200.3.241!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-35',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 11)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-36' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-36',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-36!10.200.3.201!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-36',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 6)
# Checks the search of the live dgsg site on the first web node and checks for the string 'Gruyter'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Search: web-37' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Search: web-37',
		'check_command' => 'https_content_check_basic_auth_single_node!dgsg:dgsg2017!/search!Gruyter!10!20!dg-dgsg-web-live-37!10.200.3.223!',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site: web-37',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# VIEW
# Checks a content view page of the live dgsg site for the journal at the URL
# /view/journals/crll/1826/1/article-p367.xml.  The title of this journal is
# "Allgemeine Entwickelung von (x + a)n.".  This check looks for the string 
# 'Allgemeine' in the response.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Live Content View' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Live Content View',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/view/journals/crll/1826/1/article-p367.xml!Allgemeine!10!20!',
		'notes' => 'DGSG Live Site',
		'notes_url' => 'https://www.degruyter.com/view/journals/crll/1826/1/article-p367.xml'
end
#------------------------------------------------------------------------------------
# FAIL OPEN
# Checks the production homepage and makes sure we're not in fail open by checking
# that the string "Provisional Account" is NOT int he page.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Site Fail Open' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'degruyter.com',
		'display_name' => 'Site Fail Open',
		'check_command' => 'http_negate_content_check_basic_auth!www.degruyter.com!dgsg:dgsg2017!"provisional account"',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG - Fail Open',
		'notes_url' => 'https://www.degruyter.com/'
end
#------------------------------------------------------------------------------------
# DGSG LOADER
# Checks a loader login page and looks for the string 'Production Management Portal'
# in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'degruyter.com-Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'admin.degruyter.com',
		'display_name' => 'Production Loader',
		'check_command' => 'check_loader_auth!admin.degruyter.com!/login!dgsg:dgsg2017!"Production Management Portal"!20!10',
		'contact_groups' => 'admins_email_only,DGSG',
		'notes' => 'DGSG Site Loader',
		'notes_url' => 'https://admin.degruyter.com/login'
end
#------------------------------------------------------------------------------------
# Staging HOMEPAGE
# Checks the homepage of the live beta DGSG site and checks for the string 'browse'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'staging.degruyter.com-Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'staging.degruyter.com',
		'display_name' => 'Staging Homepage',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/browse!items!10!20!',
		'contact_groups' => 'DGSG,cs_email_only',
		'notes' => 'DGSG Staging Site',
		'notes_url' => 'https://staging.degruyter.com/'
end
