nagios_host 'oxfordbibliographies.com' do
	options 'use' => 'noping-host',
		'alias' => 'Oxford Bibliographies Online',
		'address' => 'www.oxfordbibliographies.com',
		'contact_groups' => 'cs_escalation,oup',
		'check_command' => 'http_content_check!/!15!9!Oxford!iRenaissance!Bibliographies!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Homepage',
		'check_command' => 'http_content_check!/!15!9!Oxford!iRenaissance!Bibliographies!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Homepage ewhserver2182' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Homepage ewhserver2182',
		'check_command' => 'http_content_check!/?server=2182:8085!15!9!Oxford!Renaissance!Bibliographies!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Homepage ewhserver2183' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Homepage ewhserver2183',
		'check_command' => 'http_content_check!/?server=2183:8085!15!9!Oxford!Renaissance!Bibliographies!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Browse' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Browse',
		'contact_groups' => 'admins_email_only,oup',
		'check_command' => 'http_content_check!/browse!10!13!Oxford!Bibliographies!results!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Browse ewhserver2182' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Browse ewhserver2182',
		'contact_groups' => 'admins_email_only,oup',
		'check_command' => 'http_content_check!/browse!10!13!Oxford!Bibliographies!results!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Browse ewhserver2183' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Browse ewhserver2183',
		'contact_groups' => 'admins_email_only,oup',
		'check_command' => 'http_content_check!/browse!10!13!Oxford!Bibliographies!results!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Staging' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Staging',
		'check_command' => 'check_staging_auth!obo.stg.oxfordbibliographies.com!obo:obo2016!Online!12!8!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Loader',
		'check_command' => 'check_loader_auth!admin.prod.oxfordbibliographies.com!/!obo:obo2016!Password!12!8!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
nagios_service 'oxfordbibliographies.com-Loader - PD' do
	options 'use' => 'sbo-service-pf-wh',
		'host_name' => 'oxfordbibliographies.com',
		'display_name' => 'Loader - PD',
		'contact_groups' => 'cs_escalation',
		'check_command' => 'check_loader_auth!admin.prod.oxfordbibliographies.com!/!obo:obo2016!Password!12!8!',
		'notes' => 'OUP OBO Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/100171941/Server+Setup+-+OUP+OBO+-+Oxford+Bibliographies'
end
