nagios_host 'sciendo.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'DGSG - Sciendo',
		'address' => 'content.sciendo.com',
		'contact_groups' => 'cs_email_only,DGSG',
		'notes' => 'DGSG - Sciendo Live Sites',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/DGSG/pages/175078636/Server+Setup+-+De+Gruyter+Second+Generation+DGSG'
end
#------------------------------------------------------------------------------------
# HOMEPAGE
# Checks the homepage of the live sciendo site and checks for the string 'Sciendo'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'sciendo.com-Live Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'sciendo.com',
		'contact_groups' => 'cs_escalation,DGSG',
		'display_name' => 'Live Homepage',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/!Sciendo!10!20!',
		'notes' => 'DGSG - Sciendo Live Site',
		'notes_url' => 'https://content.sciendo.com/'
end
#------------------------------------------------------------------------------------
# SEARCH
# Checks the search page of the live dgsg site and checks for the string 'Browse'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'sciendo.com-Live Search' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'sciendo.com',
		'display_name' => 'Live Search',
		'contact_groups' => 'cs_escalation,DGSG',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/browse?level=parent!Browse!10!20!',
		'notes' => 'DGSG - Sciendo Live Site',
		'notes_url' => 'https://content.sciendo.com/browse?level=parent'
end
#------------------------------------------------------------------------------------
# VIEW
# Checks a content view page of the live dgsg site for the book at the URL
# /view/journals/mik/mik-overview.xml.  The title of this journal is "Art History".  This check looks for the string 'Haemophilia' in the
# response.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'sciendo.com-Live Content View' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'sciendo.com',
		'display_name' => 'Live Content View',
		'contact_groups' => 'cs_escalation,DGSG',
		'check_command' => 'https_content_check_basic_auth!dgsg:dgsg2017!/view/journals/mik/mik-overview.xml!"Art History"!10!20!',
		'notes' => 'DGSG - Sciendo Live Site',
		'notes_url' => 'https://content.sciendo.com/view/journals/mik/mik-overview.xml'
end
