nagios_host 'veryshortintroductions.com' do
	options 'use' => 'generic-host',
		'alias' => 'OXMED',
		'address' => 'www.veryshortintroductions.com',
		'contact_groups' => 'cs_escalation,oup',
		'notes' => 'OUP CORE OxMed SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575545/Server+Setup+-+OUP+CORE+OXMED+-+Oxford+Medicine'
end
nagios_service 'veryshortintroductions.com-Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'veryshortintroductions.com',
		'display_name' => 'Homepage',
		'check_command' => 'http_content_check!/!9!15!Very!Short!Introductions!',
		'notes' => 'OUP CORE OxMed SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575545/Server+Setup+-+OUP+CORE+OXMED+-+Oxford+Medicine'
end
nagios_service 'veryshortintroductions.com-Search Results' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'veryshortintroductions.com',
		'display_name' => 'Search Results',
		'contact_groups' => 'admins_email_only,oup',
		'check_command' => 'check_http_host!/view/10.1093/actrade/9780199682782.001.0001/actrade-9780199682782?rskey=MbTL87&result=1',
		'notes' => 'OUP CORE OxMed SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575545/Server+Setup+-+OUP+CORE+OXMED+-+Oxford+Medicine'
end
